=== debian/changelog ===
kdepim (4:4.14.6-0ubuntu1) vivid; urgency=medium

  * New upstream release 
  * Update watch file

 -- Scarlett Clark <sgclark@kubuntu.org>  Fri, 13 Mar 2015 15:04:02 -0700

kdepim (4:4.14.5-0ubuntu1) vivid; urgency=medium

  * New upstream release.
  * Fix watch file. 

 -- Scarlett Clark <sgclark@kubuntu.org>  Tue, 10 Feb 2015 11:28:56 -0800

kdepim (4:4.14.4-0ubuntu1) UNRELEASED; urgency=medium

  * New upstream release for kde-applications. 
  * Fix watch file to new application location. 
  * Watchfiles will manual updates while these versions do 
    not match the parent applications versions... 

 -- Scarlett Clark <sgclark@kubuntu.org>  Wed, 04 Feb 2015 18:15:48 +0000

kdepim (4:4.14.2-0ubuntu1) vivid; urgency=medium

  * New upstream release
  * Fix extended-description-line-too-long in libkgantt2-0. 

 -- Scarlett Clark <sgclark@kubuntu.org>  Fri, 10 Oct 2014 14:01:47 -0700
