=== debian/changelog ===
kdepim (4:15.08.2-0ubuntu1) wily; urgency=medium

  * New upstream release. 
  * Reset branch to revert all ABI changes. 
  * batchpatch symbols. Per sitter libmessagviewer
    ABI break does not warrent soversion twiddling.  

 -- Scarlett Clark <sgclark@kubuntu.org>  Sat, 10 Oct 2015 02:40:23 -0700

kdepim (4:15.08.1-0ubuntu4) wily; urgency=medium

  * Make everything that isn't a lib depend on kdepim-runtime which provides
    runtime assets necessary for correct operation of kdepim.

 -- Harald Sitter <sitter@kde.org>  Wed, 07 Oct 2015 16:29:40 +0200

kdepim (4:15.08.1-0ubuntu3) wily; urgency=medium

  * Update symbols files.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 30 Sep 2015 15:13:27 +0200

kdepim (4:15.08.1-0ubuntu2) wily; urgency=medium

  * No change rebuild against newer kdepimlibs

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 29 Sep 2015 10:10:31 +0100

kdepim (4:15.08.1-0ubuntu1) wily; urgency=medium

  * New upstream release
  * Updated symbols files for i386 and amd64
  * Removed MISSING symbols
  * Update install files

 -- Clive Johnston <clivejo@aol.com>  Thu, 17 Sep 2015 17:26:47 +0100

kdepim (4:15.08.0-0ubuntu2) wily; urgency=medium

  * Update testsuite.xsession for kf5

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 01 Sep 2015 11:49:09 +0100

kdepim (4:15.08.0-0ubuntu1) wily; urgency=medium

  [ Jonathan Riddell ]
  * New upstream release

  [ Harald Sitter ]
  * Resolve a million lintian problems

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 24 Aug 2015 12:58:16 +0100

kdepim (4:15.07.90-0ubuntu2) wily; urgency=medium

  * Update .install files

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 24 Aug 2015 12:52:12 +0100

kdepim (4:15.07.90-0ubuntu1) wily; urgency=medium

  [ Jonathan Riddell ]
  * New upstream release

  [ José Manuel Santamaría Lema ]
  * Build depend on the default boost libraries, this makes the package
    buildable with wily + proposed.

  [ Harald Sitter ]
  * KDE Frameworks 5 port
  * Remove kalarm-icons nonsense previously introduced for statusnotifiers
  * Removed packages:
    - *mobile*: mobile is now a build-time choice either-desktop-or-mobile
       which needs figuring out from scratch
    - kdepim-dev: no headers are being installed anymore. dbus interfaces and
      .so symlinks are still installed but listed in not-installed until they
      get removed upstream. Without headers they have 0 use.
    - kdepim-kresources: removed upstream
    - knode: removed upstream
    - kjots: removed upstream
    - ktimetracker: removed upstream
  * All so versions were increased by one. All package names adjusted
    accordingly.
  * New package:
    + accountwizard (intalled by kmail and kontact)

 -- Jonathan Riddell <jriddell@ubuntu.com>  Sat, 06 Jun 2015 01:18:23 +0200

kdepim (4:4.14.8-0ubuntu2) UNRELEASED; urgency=medium

  * Vivid backport.

 -- Scarlett Clark <sgclark@kubuntu.org>  Sat, 30 May 2015 07:10:46 -0700

kdepim (4:4.14.7-0ubuntu1) UNRELEASED; urgency=medium

  * New upstream release 
  * Fix watch file. 
  * wrap-and-sort. 
  * watch file again. 

 -- Scarlett Clark <sgclark@kubuntu.org>  Thu, 16 Apr 2015 06:17:44 -0700

kdepim (4:4.14.6-0ubuntu3) wily; urgency=medium

  * debian/patches/boost1.58-moc-ftbfs: Guard some more boost includes with
    #ifndef Q_MOC_RUN to fix FTBFS.

 -- Iain Lane <iain@orangesquash.org.uk>  Thu, 13 Aug 2015 11:55:20 +0100

kdepim (4:4.14.6-0ubuntu2) wily; urgency=medium

  * Unversioned boost build dependency

 -- Matthias Klose <doko@ubuntu.com>  Sat, 08 Aug 2015 15:06:09 +0000
