=== debian/control ===
Source: kdepim
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Sune Vuorela <sune@debian.org>,
           Fathi Boudra <fabo@debian.org>,
           Modestas Vainius <modax@debian.org>,
           Michael Meskes <meskes@debian.org>,
           George Kiagiadakis <kiagiadakis.george@gmail.com>,
           Eshat Cakar <info@eshat.de>,
           Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake,
               debhelper (>= 9),
               extra-cmake-modules,
               kdoctools-dev,
               kross-dev,
               libassuan-dev,
               libboost-dev,
               libboost-graph-dev,
               libgpgme11-dev,
               libgrantlee5-dev,
               libkf5akonadi-dev,
               libkf5akonadicalendar-dev,
               libkf5akonadicontact-dev,
               libkf5akonadimime-dev,
               libkf5akonadinotes-dev,
               libkf5akonadisearch-dev,
               libkf5akonadiserver-dev,
               libkf5alarmcalendar-dev,
               libkf5archive-dev,
               libkf5auth-dev,
               libkf5blog-dev,
               libkf5calendarcore-dev,
               libkf5calendarutils-dev,
               libkf5codecs-dev,
               libkf5config-dev,
               libkf5contacts-dev,
               libkf5dbusaddons-dev,
               libkf5dnssd-dev,
               libkf5gapi-dev,
               libkf5globalaccel-dev,
               libkf5gpgmepp-dev,
               libkf5holidays-dev,
               libkf5identitymanagement-dev,
               libkf5imap-dev,
               libkf5kcmutils-dev,
               libkf5kdelibs4support-dev,
               libkf5khtml-dev,
               libkf5kontactinterface-dev,
               libkf5ldap-dev,
               libkf5mailtransport-dev,
               libkf5mbox-dev,
               libkf5mime-dev,
               libkf5newstuff-dev,
               libkf5notifyconfig-dev,
               libkf5pimtextedit-dev,
               libkf5prison-dev,
               libkf5service-dev,
               libkf5sonnet-dev,
               libkf5syndication-dev,
               libkf5texteditor-dev,
               libkf5tnef-dev,
               libkf5wallet-dev,
               libkf5webkit-dev,
               libkf5xmlrpcclient-dev,
               libphonon4qt5-dev,
               libphonon4qt5experimental-dev,
               libqt5opengl5-dev,
               libqt5webkit5-dev,
               libqt5x11extras5-dev,
               libx11-dev,
               pkg-config,
               pkg-kde-tools,
               qtquick1-5-dev,
               qttools5-dev,
               shared-mime-info,
               xsltproc,
               zlib1g-dev
Standards-Version: 3.9.6
XS-Testsuite: autopkgtest
Homepage: http://pim.kde.org/
Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/kde-sc/kdepim.git
Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-sc/kdepim.git

Package: kdepim
Section: metapackages
Architecture: all
Depends: accountwizard (>= ${source:Version}),
         akonadiconsole (>= ${source:Version}),
         akregator (>= ${source:Version}),
         blogilo (>= ${source:Version}),
         kaddressbook (>= ${source:Version}),
         kalarm (>= ${source:Version}),
         kdepim-runtime,
         kleopatra (>= ${source:Version}),
         kmail (>= ${source:Version}),
         knotes (>= ${source:Version}),
         konsolekalendar (>= ${source:Version}),
         kontact (>= ${source:Version}),
         korganizer (>= ${source:Version}),
         ${misc:Depends}
Description: Personal Information Management apps from the official KDE release
 KDE (the K Desktop Environment) is a powerful Open Source graphical
 desktop environment for Unix workstations. It combines ease of use,
 contemporary functionality, and outstanding graphical design with the
 technological superiority of the Unix operating system.
 .
 This metapackage includes a collection of Personal Information Management
 (PIM) desktop applications provided with the official release of KDE.

Package: kdepim-doc
Section: doc
Architecture: all
Suggests: doc-base, konqueror | www-browser
Breaks: kjots (<< 4:4.13.90), kmail (<< 4:4.13.90)
Replaces: kjots (<< 4:4.13.90), kmail (<< 4:4.13.90)
Description: KDE Personal Information Management library documentation
 KDE core library documentation. You need this documentation to develop KDE PIM
 applications.
 .
 This package is part of KDE, and a component of the KDE PIM module.
 See the 'kde' and 'kdepim' packages for more information.

Package: akregator
Section: web
Architecture: any
Depends: kdepim-runtime, ${misc:Depends}, ${shlibs:Depends}
Breaks: kontact (<< 4:4.1.80)
Replaces: kontact (<< 4:4.1.80)
Homepage: http://akregator.kde.org/
Description: RSS/Atom feed aggregator
 Akregator is a news feed reader. It enables you to follow
 news sites, blogs and other RSS/Atom-enabled websites without the need to
 manually check for updates using a web browser. Akregator is designed to be
 both easy to use and to be powerful enough to read hundreds of news sources
 conveniently. It comes with Konqueror integration for adding news feeds and
 with an internal browser for easy news reading.
 .
 This package is part of the KDE PIM module.

Package: accountwizard
Section: utils
Architecture: any
Depends: kdepim-runtime, ${misc:Depends}, ${shlibs:Depends}
Breaks: kdepim-runtime (<< 4:15.07.90~)
Replaces: kdepim-runtime (<< 4:15.07.90~)
Description: wizard for KDE PIM applications account setup
 Handles account setup of e-mail accounts for KDE PIM applications.
 .
 This package is part of the KDE PIM module.

Package: kaddressbook
Section: utils
Architecture: any
Depends: kdepim-runtime, ${misc:Depends}, ${shlibs:Depends}
Breaks: kontact (<< 4:4.1.80), korganizer (<< 4:4.1.80)
Replaces: kontact (<< 4:4.1.80), korganizer (<< 4:4.1.80)
Description: address book and contact data manager
 KAddressBook enables you to manage your contacts efficiently and comfortably.
 It can load and save your contacts to many different locations, including
 the local file system, LDAP servers, and SQL databases.
 .
 This package is part of the KDE PIM module.

Package: kalarm
Architecture: any
Depends: kdepim-runtime, ${misc:Depends}, ${perl:Depends}, ${shlibs:Depends}
Suggests: jovie
Homepage: http://www.astrojar.org.uk/kalarm/
Description: alarm message, command and email scheduler
 KAlarm provides a graphical interface to schedule personal timed events -
 pop-up alarm messages, command execution and sending emails. There is a
 range of options for configuring recurring events.
 .
 A pop-up alarm can show either a simple text message, or the contents of a
 text or image file. It can optionally be spoken, or play a sound file. You
 can choose its appearance, and set reminders. Among KAlarm's other
 facilities, you can set up templates to allow KAlarm to be used as a 'tea
 timer'.
 .
 This package is part of the KDE PIM module.

Package: storageservicemanager
Architecture: any
Depends: kdepim-runtime, ${misc:Depends}, ${shlibs:Depends}
Description: KDE PIM storage servicce
 This package adds storage plugins for KDE PIM applications such as
 google-drive and dropbox.
 .
 This package is part of KDE, and a component of the KDE PIM module.

Package: kleopatra
Section: net
Architecture: any
Depends: dirmngr,
         gnupg-agent,
         gnupg2,
         gpgsm,
         kdepim-runtime,
         pinentry-qt4 | pinentry-x11,
         ${misc:Depends},
         ${shlibs:Depends}
Description: certificate Manager
 Kleopatra is a tool for managing X.509 certificates and pgp keys.
 .
 This package is part of the KDE PIM module.

Package: kmail
Section: mail
Architecture: any
Depends: kdepim-runtime, ${misc:Depends}, ${perl:Depends}, ${shlibs:Depends}
Recommends: accountwizard, gnupg-agent, gnupg2, pinentry-qt4 | pinentry-x11
Suggests: clamav,
          kaddressbook,
          kleopatra,
          procmail,
          spamassassin | bogofilter | spambayes (>= 1.0.4-6) | bsfilter | crm114
Breaks: akonadi-kde (<< 4:4.1.3), kmailcvt (<< 4:3.90.0), kontact (<< 4:4.1.80)
Replaces: akonadi-kde (<< 4:4.1.3),
          kmailcvt (<< 4:3.90.0),
          kontact (<< 4:4.1.80),
          libkdepim4 (<< 4:4.13.90),
          libmessageviewer4 (<< 4:4.13.90)
Provides: imap-client, mail-reader
Homepage: http://kontact.kde.org/kmail/
Description: full featured graphical email client
 KMail is a fully-featured email client that fits nicely into the KDE
 desktop. It has features such as support for IMAP, POP3, multiple accounts,
 mail filtering and sorting, PGP/GnuPG privacy, and inline attachments.
 .
 This package also contains Nepomuk EMail Feeder Akonadi Agent.
 .
 This package is part of the KDE PIM module.

Package: knotes
Architecture: any
Depends: kdepim-runtime, ${misc:Depends}, ${shlibs:Depends}
Breaks: kontact (<< 4:4.1.80)
Replaces: kontact (<< 4:4.1.80)
Description: sticky notes application
 KNotes is a program that lets you write sticky notes. The notes are saved
 automatically when you exit the program, and they display when you open the
 program.  The program supports printing and mailing your notes.
 .
 This package is part of the KDE PIM module.

Package: konsolekalendar
Architecture: any
Depends: kde-baseapps-bin, kdepim-runtime, ${misc:Depends}, ${shlibs:Depends}
Description: konsole personal organizer
 KonsoleKalendar is a command-line interface to KDE calendars.
 KonsoleKalendar complements KOrganizer by providing a console
 frontend to manage your calendars.
 .
 This package is part of the KDE PIM module.

Package: kontact
Architecture: any
Depends: kdepim-runtime, ${misc:Depends}, ${shlibs:Depends}
Recommends: accountwizard, akregator, kaddressbook, kmail, knotes, korganizer
Suggests: gnokii
Homepage: http://kontact.kde.org/
Breaks: akregator (<< 4:4.1.80), korganizer (<< 4:4.1.80)
Replaces: akregator (<< 4:4.1.80), korganizer (<< 4:4.1.80)
Description: integrated application for personal information management
 Kontact is the integrated solution to your personal information management
 needs. It combines applications like KMail, KOrganizer and
 KAddressBook into a single interface to provide easy access to mail,
 scheduling, address book and other PIM functionality.
 .
 This package is part of the KDE PIM module.

Package: korganizer
Architecture: any
Depends: kdepim-runtime, ${misc:Depends}, ${perl:Depends}, ${shlibs:Depends}
Homepage: http://kontact.kde.org/korganizer/
Breaks: kaddressbook (<< 4:4.1.80), kontact (<< 4:4.1.80)
Replaces: kaddressbook (<< 4:4.1.80), kontact (<< 4:4.1.80)
Description: calendar and personal organizer
 This package contains KOrganizer, a calendar and scheduling program.
 .
 KOrganizer aims to be a complete program for organizing appointments,
 contacts, projects, etc. KOrganizer natively supports information interchange
 with other calendar applications, through the industry standard vCalendar
 personal data interchange file format. This eases the move from other
 modern PIMs to KOrganizer.
 .
 This package is part of the KDE PIM module.

Package: libcalendarsupport5
Section: libs
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: calendar support library
 This library defines calendar related model objects for KDE PIM module
 applications and provides a common interface for accessing and managing
 calendars provided by Akonadi resources.
 .
 This package is part of the KDE PIM module.

Package: libcomposereditorng5
Section: libs
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: compose editor library
 This package is part of the KDE PIM module.

Package: libeventviews5
Section: libs
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: event viewing library
 This internal library implements a GUI framework for viewing various calendar
 events in agenda, list, month view or timeline fashion.
 .
 This package is part of the KDE PIM module.
